package com.qmth.distributed.print.business.bean.dto.excel;

import com.qmth.distributed.print.business.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/** 
* @Description: 用户导出dto
* @Param:  
* @return:  
* @Author: wangliang
* @Date: 2021/3/30 
*/ 
public class UserExportDto implements Serializable {

    @ApiModelProperty(name = "姓名")
    @ExcelProperty(name = "姓名", width = 30, index = 1)
    String realName;

    @ApiModelProperty(name = "登录名")
    @ExcelProperty(name = "登录名", width = 30, index = 2)
    String loginName;

    @ApiModelProperty(name = "角色")
    @ExcelProperty(name = "角色", width = 30, index = 3)
    String roleName;

    @ApiModelProperty(name = "学校名称代码")
    @ExcelProperty(name = "学校名称代码", width = 40, index = 4)
    String schoolNameCode;

    @ApiModelProperty(name = "状态")
    @ExcelProperty(name = "状态", width = 30, index = 6)
    String enable;

    @ApiModelProperty(name = "更新时间")
    @ExcelProperty(name = "更新时间", width = 30, index = 7)
    String updateTime;

    @ApiModelProperty(name = "执行人")
    @ExcelProperty(name = "执行人", width = 30, index = 8)
    String updateName;

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getSchoolNameCode() {
        return schoolNameCode;
    }

    public void setSchoolNameCode(String schoolNameCode) {
        this.schoolNameCode = schoolNameCode;
    }

    public String getEnable() {
        return enable;
    }

    public void setEnable(String enable) {
        this.enable = enable;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }
}
